namespace DocuMed.Domain.Entities.MedicalHistoryTemplate;

public partial class MedicalHistoryQuestion
{
    public static MedicalHistoryQuestion Create(
        string question,
        MedicalHistoryPart part,
        MedicalHistoryQuestionType questionType,
        Guid medicalHistoryTemplateId)
    {
        return new MedicalHistoryQuestion(question, part, questionType, medicalHistoryTemplateId);
    }

}
public partial class MedicalHistoryTemplate
{
    public MedicalHistoryQuestion AddQuestion(
        string question,
        MedicalHistoryPart part,
        MedicalHistoryQuestionType questionType)
    {
        var mhQuestion = MedicalHistoryQuestion.Create(question, part, questionType, Id);
        Questions.Add(mhQuestion);
        return mhQuestion;
    }

    public static MedicalHistoryTemplate Create(string chiefComplaint)
    {
        return new MedicalHistoryTemplate(chiefComplaint);
    }
}